<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9DeviceManager.html">D3D9DeviceManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::D3D9DeviceManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a8b7a458eb80274b817d3ccf9fec32f52">ConstDeviceIterator</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#aae141cb5e2229f39db71f16b8c492d5f">D3D9DeviceManager</a>()</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a5b4acba0d83d98268112f98bc8134549">D3D9RenderWindowList</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a147a498d4d43ae9f9cb281310441efe7">destroyInactiveRenderDevices</a>()</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#aeb90d58507a2922ffa1db5cb042337e8">DeviceIterator</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#aaa00207d86a7b5c94fe1233b0aec7dc6">DeviceList</a> typedef</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a874e978920e3ea762d7ebef65a426042">findDriver</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#ac9456ae6636041806748e5b3d76a2b37">getActiveDevice</a>()</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#acb2044e9b59f18f6e0707d6fbd07e683">getActiveRenderTargetDevice</a>()</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#ada407cdbd5d99c2dc5f9dc3c8b241e0a">getDevice</a>(UINT index)</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#ae13f7c2bc7a400608fb054e79ed59006">getDeviceCount</a>()</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a149b6c4a3a1be36c16779d70c14ab323">getDeviceFromD3D9Device</a>(IDirect3DDevice9 *d3d9Device)</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a35933fdf0da87060456a5acf8d51543b">linkRenderWindow</a>(D3D9RenderWindow *renderWindow)</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a6a99ed4050e5a9b6e79a0b3cfdfa413a">mActiveDevice</a></td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#aca4a2302c632e7562d7f47961dfe9b5a">mActiveRenderWindowDevice</a></td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#acf7c6fa29a597267e700dc6e846a172e">mRenderDevices</a></td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a317c8ba560f3320a499fa1d84367ec4d">notifyOnDeviceDestroy</a>(D3D9Device *device)</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#abd9d0ca96d3bcaa4969b3ca076e415f4">selectDevice</a>(D3D9RenderWindow *renderWindow, D3D9RenderWindowList &amp;renderWindowsGroup)</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a06f125e395b37ad7b9b8d6b1db462bbe">setActiveDevice</a>(D3D9Device *device)</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a3daf82246c619a240cc4a8445f38e0ab">setActiveRenderTargetDevice</a>(D3D9Device *device)</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html#a9daace43f6989ac65bc7e06f63b29426">~D3D9DeviceManager</a>()</td><td><a class="el" href="classOgre_1_1D3D9DeviceManager.html">Ogre::D3D9DeviceManager</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:15
</p>
</body>
</html>
